Package jakarta.security.auth.message.callback

## Class PrivateKeyCallback.IssuerSerialNumRequest

- java.lang.Object
- - jakarta.security.auth.message.callback.PrivateKeyCallback.IssuerSerialNumRequest

- All Implemented Interfaces:
    `PrivateKeyCallback.Request`
  Enclosing class:
    PrivateKeyCallback

      public static class PrivateKeyCallback.IssuerSerialNumRequest
      extends java.lang.Object
      implements PrivateKeyCallback.Request

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IssuerSerialNumRequest​(javax.security.auth.x500.X500Principal issuer, java.math.BigInteger serialNum)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.security.auth.x500.X500Principal` | `getIssuer()` |
    `java.math.BigInteger` | `getSerialNum()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IssuerSerialNumRequest

          public IssuerSerialNumRequest​(javax.security.auth.x500.X500Principal issuer,
                                        java.math.BigInteger serialNum)

  - ### Method Detail

    - #### getIssuer

          public javax.security.auth.x500.X500Principal getIssuer()

    - #### getSerialNum

          public java.math.BigInteger getSerialNum()